Bug 428635 - Basic shapes appear invisible in OOWriter
Basic shapes appear invisible in OOWriter
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 04:49 EST by Paul F. Johnson
Modified: 2008-01-19 09:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 09:54:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File demonstrating the problem - it looks blank, but there is a filled rounded edge rectangle there! (6.78 KB, application/vnd.oasis.opendocument.text)
2008-01-14 04:49 EST, Paul F. Johnson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 81673 None None None Never

  None (edit)
Description Paul F. Johnson 2008-01-14 04:49:17 EST
Description of problem:
If you click on the basic shapes (such as the rounded rectangle), they are
invisible. They are not exported to PDF or Word. If there is a text box in the
basic shape, this also vanishes.

Basic shapes are available in OODraw

Version-Release number of selected component (if applicable):
2.4.0-1.1

How reproducible:
Always

Steps to Reproduce:
1. Start an OOWriter file
2. Click on Basic Shapes (select the rounded rectangle - not a normal rectangle)
3. Drag to create drawing
  
Actual results:
Nothing appears except for the bounding box. Changing the fill makes no difference

Expected results:
Basic shape should appear

Additional info:
Comment 1 Paul F. Johnson 2008-01-14 04:49:17 EST
Created attachment 291578 [details]
File demonstrating the problem - it looks blank, but there is a filled rounded edge rectangle there!
Comment 2 Caolan McNamara 2008-01-14 05:06:05 EST
Odd, very odd. I see it, and so does the macport. 
Comment 3 Paul F. Johnson 2008-01-14 05:11:59 EST
D'oh! Forgot to mention x86_64 version...
Comment 4 Paul F. Johnson 2008-01-14 07:15:23 EST
Bit of additional info.

The file I'm working on shows the invisible problem, but if I copy and paste the
group it's in into OODraw, the filled box re-appears!. If I then copy and paste
special back into OO writer, everything is happy
Comment 5 Caolan McNamara 2008-01-14 11:10:32 EST
Good catch, we'll have this in place before final 2.4 release, see upstream bug
for details
Comment 6 Caolan McNamara 2008-01-16 06:09:32 EST
This is likely to land in OOH680_m4 i.e. >= 2.0.4-4.1
Comment 7 Caolan McNamara 2008-01-16 06:36:11 EST
oky doky then, I'll backport this now then instead of waiting for up to possibly
a week or two that it will take to get integrated upstream
Comment 8 Caolan McNamara 2008-01-19 09:54:15 EST
backported and fixed in 2.0.4-3.1

Note You need to log in before you can comment on or make changes to this bug.